/* hero section */
.hero {
  margin-inline: auto;
  color: #fff;
  text-align: center;
}
.hero__title {
  font-size: 4rem;
  letter-spacing: -0.05rem;

  text-shadow: 1px 0px 10px black;
  line-height: 1;
}

.hero__intro {
  font-size: 2.5rem;
  letter-spacing: -0.05rem;
  line-height: 1;
  margin: 15rem auto 1rem;
  max-width: 40ch;
}

.hero__text {
  font-size: 2rem;
  /* text-shadow: 1px 0px 3px black; */
  max-width: 50ch;
  margin: 1em auto 12em;
}

/* media queries */
@media (max-width: 1536px) {
}
@media (max-width: 1280px) {
}

@media (max-width: 1024px) {
  .hero__title {
    font-size: 3.5rem;
  }

  .hero__intro {
    font-size: 2.3rem;
  }

  .hero__text {
    font-size: 1.5rem;
  }
}
@media (max-width: 768px) {
  .hero__title {
    font-size: 3rem;
  }

  .hero__intro {
    font-size: 2.1rem;
  }

  .hero__text {
    font-size: 1.3rem;
  }
}

@media (max-width: 640px) {
  .hero__title {
    font-size: 2.8rem;
  }

  .hero__intro {
    font-size: 1.9rem;
  }

  .hero__text {
    font-size: 1.1rem;
  }
}

@media (max-width: 475px) {
  .hero__title {
    font-size: 2.6rem;
  }
  .hero__intro {
    font-size: 1.7rem;
  }
  .hero__text {
    font-size: 1rem;
    margin: 1em auto 10em;
  }
}
